clang-tools 8.0.0

Static Public Member Functions | List of all members
clang::include_fixer::FuzzySymbolIndex Class Reference

`#include <FuzzySymbolIndex.h>`

Inheritance diagram for clang::include_fixer::FuzzySymbolIndex:
[legend]
Collaboration diagram for clang::include_fixer::FuzzySymbolIndex:
[legend]

## Static Public Member Functions
static llvm::Expected< std::unique_ptr< FuzzySymbolIndex > > | createFromYAML (llvm::StringRef File)
static std::vector< std::string > | tokenize (llvm::StringRef Text)
static std::string | queryRegexp (const std::vector< std::string > &Tokens)

## Additional Inherited Members
Public Member Functions inherited from clang::include_fixer::SymbolIndex
virtual | ~SymbolIndex ()=default
virtual std::vector< find_all_symbols::SymbolAndSignals > | search (llvm::StringRef Identifier)=0
| Search for all `SymbolInfo`s corresponding to an identifier. More...

## Detailed Description

Definition at line 33 of file FuzzySymbolIndex.h.

## Member Function Documentation

## ◆ createFromYAML()

llvm::Expected< std::unique_ptr< FuzzySymbolIndex > > clang::include_fixer::FuzzySymbolIndex::createFromYAML | ( | llvm::StringRef | File | ) |
| static

Definition at line 134 of file FuzzySymbolIndex.cpp.

References clang::find_all_symbols::ReadSymbolInfosFromYAML().

## ◆ queryRegexp()

std::string clang::include_fixer::FuzzySymbolIndex::queryRegexp | ( | const std::vector< std::string > & | Tokens | ) |
| static

Definition at line 119 of file FuzzySymbolIndex.cpp.

References Result.

## ◆ tokenize()

std::vector< std::string > clang::include_fixer::FuzzySymbolIndex::tokenize | ( | llvm::StringRef | Text | ) |
| static

Definition at line 67 of file FuzzySymbolIndex.cpp.

References Result.

The documentation for this class was generated from the following files:

- FuzzySymbolIndex.h
- FuzzySymbolIndex.cpp